<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<meta charset="UTF-8" />
<title>購物清單</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
	<link rel="stylesheet" href="/css/button.css" th:href="@{/css/button.css}" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
<div th:fragment="logout" class="logout" sec:authorize="isAuthenticated()">   
            Logged in user: <span sec:authentication="name"></span>  
            <div>
                <form action="#" th:action="@{/logout}" method="post">     
                    <input type="submit" value="登出" class="red" />
                </form>
            </div>
        </div>
	<div class="container">
	Hello <span th:text="${session.loginId}">login id</span>!
		<a href="stockRetrieveAll"><input type="button"
		value="Keep Shopping" /></a>
		<table class="table table-bordered table-striped">
			<tr>
				<th>海報</th>
				<th>演出名稱</th>
				<th>演出類型</th>
				<th>演出時間</th>
				<th>演出地點</th>
				<th>演出者</th>
				<th>主辦單位</th>
				<th>座位號碼</th>
				<th>售價</th>
			</tr>
			<tr th:each="ticket : ${tickets} " th:object="${ticket}">
				<td><img th:src="*{sId.sId.photo}" width="200px"/></td>
				<td><span th:text="*{sId.sId.name}">PC</span></td>
				<td><span th:text="*{sId.sId.stockCategory.name}">PC</span></td>
				<td><span th:text="*{sId.time}">100</span></td>
				<td><span th:text="*{sId.sId.place}">56</span></td>
				<td><span th:text="*{sId.sId.performers}">20</span></td>
				<td><span th:text="*{sId.sId.StockHost.host_name}">20</span></td>
				<td><span th:text="*{seat_num}">20</span></td>
				<td><span th:text="*{price}">20</span></td>
			</tr>
		</table>
	</div>
</body>


</html>